Bug 216834 - audio/optimfrog not PREFIX-clean
Summary: audio/optimfrog not PREFIX-clean
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthew Rezny
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-02-05 20:01 UTC by Mikhail Teterin
Modified: 2017-02-25 14:52 UTC (History)
2 users (show)

See Also:


Attachments
Use -p option to pass prefix (330 bytes, patch)
2017-02-05 20:01 UTC, Mikhail Teterin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Teterin freebsd_committer 2017-02-05 20:01:54 UTC
Created attachment 179654 [details]
Use -p option to pass prefix

The the author's install-script allows to overwrite the desired prefix on command-line, the port's do-install does not make use of the option.

The paths should also be quoted -- just in case a directory has a space in its name.
Comment 1 Bugzilla Automation freebsd_committer 2017-02-05 20:01:54 UTC
Maintainer informed via mail
Comment 2 Nikolai Lifanov freebsd_committer 2017-02-16 19:15:18 UTC
take
Comment 3 Nikolai Lifanov freebsd_committer 2017-02-16 19:41:40 UTC
Reset assignee: rezny has a commit bit now :)
Comment 4 Matthew Rezny freebsd_committer 2017-02-25 13:27:46 UTC
Mikhail, thanks for pointing out the oversight. I had not considered the need to set prefix when creating the port since it defaults to /usr/local, but the user can well specify an alternate PREFIX for ports.

Nikolai, thanks for assigning to me so I notice the PR. I just checked my mailbox to verify that I got no email about this PR on the 5th although I did get one about an hour later regarding a different PR, so the message from Bugzilla Automation is false; the maintainer was not informed prior to today.
Comment 5 commit-hook freebsd_committer 2017-02-25 14:50:53 UTC
A commit references this bug:

Author: rezny
Date: Sat Feb 25 14:50:29 UTC 2017
New revision: 434816
URL: https://svnweb.freebsd.org/changeset/ports/434816

Log:
  Pass PREFIX to the install script in case it's not /usr/local

  PR:		216834
  Submitted by:	mi
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9800

Changes:
  head/audio/optimfrog/Makefile